## org.apache.poi
Class POIXMLTextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIXMLTextExtractor

Direct Known Subclasses:
  POIXMLPropertiesTextExtractor, XSLFPowerPointExtractor, XSSFEventBasedExcelExtractor, XSSFExcelExtractor, XWPFWordExtractor

    public abstract class POIXMLTextExtractor

extends POITextExtractor

Field Summary

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`POIXMLTextExtractor(POIXMLDocument document)` Creates a new text extractor for the given document

Method Summary
`POIXMLProperties.CoreProperties` `getCoreProperties()` Returns the core document properties
`POIXMLProperties.CustomProperties` `getCustomProperties()` Returns the custom document properties
`POIXMLDocument` `getDocument()` Returns opened document
`POIXMLProperties.ExtendedProperties` `getExtendedProperties()` Returns the extended document properties
`POIXMLPropertiesTextExtractor` `getMetadataTextExtractor()` Returns an OOXML properties text extractor for the document properties metadata, such as title and author.
`OPCPackage` `getPackage()` Returns the opened OPCPackage that contains the document

Methods inherited from class org.apache.poi.POITextExtractor
`getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIXMLTextExtractor

    public POIXMLTextExtractor(POIXMLDocument document)

  Creates a new text extractor for the given document

Method Detail

### getCoreProperties

    public POIXMLProperties.CoreProperties getCoreProperties()

  Returns the core document properties

### getExtendedProperties

    public POIXMLProperties.ExtendedProperties getExtendedProperties()

  Returns the extended document properties

### getCustomProperties

    public POIXMLProperties.CustomProperties getCustomProperties()

  Returns the custom document properties

### getDocument

    public final POIXMLDocument getDocument()

  Returns opened document

### getPackage

    public OPCPackage getPackage()

  Returns the opened OPCPackage that contains the document

### getMetadataTextExtractor

    public POIXMLPropertiesTextExtractor getMetadataTextExtractor()

  Returns an OOXML properties text extractor for the document properties metadata, such as title and author.

  Specified by:
    `getMetadataTextExtractor` in class `POITextExtractor`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.